<div
  class='sidebar {{if this.isMoving "is-moving"}} {{if this.isTransitionReady "is-transition-ready"}}'
  {{on 'transitionend' this.finishTransition}}
  {{on 'transitionstart' this.startTransition}}
  {{on 'transitionrun' this.runningTransition}}
  {{did-insert this.setupIntro}}
  style={{this.style}}
  ...attributes
>
  <ResponsiveView class='sidebar-content' as |size|>
    {{yield size}}
  </ResponsiveView>
  <div class='resizer' {{did-insert this.setupResizer}} {{on 'mousedown' this.mouseDownHandler}}></div>

  <button class='btn btn-light btn-close-panel m-2' type="button" {{on 'click' this.handleClose}}>
    <FaIcon @icon='times' />
  </button>
</div>